usb_hc_died
Prev | Chapter 6. Host Controller APIs | Next

## Name

usb_hc_died — report abnormal shutdown of a host controller (bus glue)

## Synopsis

`void usb_hc_died (` | struct usb_hcd * | hcd`)`;

## Arguments

`hcd`

  pointer to the HCD representing the controller

## Description

This is called by bus glue to report a USB host controller that died while operations may still have been pending. It's called automatically by the PCI glue, so only glue for non-PCI busses should need to call it.

Prev | Up | Next
usb_bus_start_enum | Home | usb_create_hcd